Gridstate
ApiV1Balancing authority operations

List EIA balancing-authority hourly operations

GET
/v1/balancing-authority-operations

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

ba_code?string
region?string
start?string
end?string
cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/balancing-authority-operations"
{  "data": [    {      "id": "string",      "balancingAuthorityCode": "string",      "utcTime": "string",      "localTime": "string",      "demandForecastMw": 0,      "demandMw": 0,      "demandAdjustedMw": 0,      "netGenerationMw": 0,      "netGenerationAdjustedMw": 0,      "totalInterchangeMw": 0,      "totalInterchangeAdjustedMw": 0,      "generationByFuelMw": {        "property1": 0,        "property2": 0      },      "region": "string",      "evidence": {        "sourceId": "string",        "assetHash": "string",        "sourceLocator": "string",        "observedAt": "string"      },      "qualityFlags": [        {          "code": "string",          "severity": "info",          "field": "string",          "message": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}